const dbpessoas =  _db.query(`
SELECT
	pessoa.nome, sobrenome, pessoa.id, pessoa.uid, cidade.nome cidade
FROM
	pessoa
INNER JOIN cidade ON pessoa.cidade_id=cidade.id
`
)

const dados = _val.list()

for(const dbpessoa of dbpessoas){
    const dbcomunidades = _db.query(`
        select * from pessoa_comunidade
        inner join comunidade on pessoa_comunidade.comunidade_id=comunidade.id
        where pessoa_id=?
    `, dbpessoa.get("id"))
    const dadoscomunidades = _val.list()
    for(const dbcomunidade of dbcomunidades){
        dadoscomunidades.add(
            dbcomunidade.getString("nome")
        )
    }
    dados.add(
        _val.map()
        .set("nome", dbpessoa.get("nome"))
        .set("sobrenome", dbpessoa.get("sobrenome"))
        .set("cidade", dbpessoa.get("cidade"))
        .set("uid", dbpessoa.get("uid"))
        .set("comunidades", dadoscomunidades)
    )
}

_out.json(
    dados
)

